# Update Mastercard Processing STIP Balance
source: https://developer.mastercard.com/mastercard-processing-debit/documentation/use-cases/update-mastercard-processing-stip-balance/index.md

## Overview {#overview}

The use case describes the process to update the STIP balance using a dedicated API operation.
Note: Updating STIP balance through the API should be used only in a specific situation when Mastercard Processing does not know about changing available balance (OTP - Open To Buy), for example, top-ups and money transfers to the account.

## Sequence diagram {#sequence-diagram}

Diagram update-mastercard-processing-stip-balance

### Explanation {#explanation}

1. Your server sends a `PUT` request to the `/accounts/{account_contract_id}/stip-balance` endpoint passing in the request body the required `balanceAmount` and `balanceCurrency` fields.
2. The API returns the HTTP status 204. Tip: If you want the CMS to include authorizations that occurred after a defined time in the STIP balance update, send the optional `lastAuthorizationId` or `referenceDate` field. In this case, the CMS will take into account all authorizations that occur after the specified authorization or time accordingly.

Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-debit/documentation/sandbox-testing/index.md) for more information on how to execute the use case in the Sandbox environment.

## Endpoint {#endpoint}


API Reference: `PUT /accounts/{account_contract_id}/stip-balance`

